WorkBone(1)

NAME
workbone - an interactive text-mode program for controlling and playing audio CD Roms under Linux.

SYNOPSIS
workbone [ -v | -h | -q | -a ]
           -v : version
           -h : help
           -q : fast start (no wait for init)
           -a : use 7-bit ascii for display
           -t : show terms of license

Type workbone to start program. Engage the NUM LOCK on your keypad. From inside WorkBone pressing DEL on numeric keypad will display a help menu. While running, workbone will display the current track number and both total CD elapsed time and current track elapsed time.

DESCRIPTION
WorkBone is an interactive TEXT-MODE program for playing audio CDs under Linux. It is implemented as an interface to the module "hardware.c" from the elaborate X11 CD program known as WorkMan.

By design, the WorkBone utility is an intentionally minimalist CD control panel. A clear template is displayed to guide you. Extraneous features of the X11 WorkMan such as shuffle play and CD databases are intentionally not supported. The aesthetic appeal of simplicity versus features and bloat has been our design goal. WorkBone is ideal for those who just want to play music with minimal fuss.

USAGE
WorkBone expects to find the device: /dev/cdrom . If you don't have this device, change to /dev and soft link your current cd rom device to 'cdrom'. For example, if you currently call your cdrom device 'mcd0', then do the following:

               cd /dev
               ln -sf mcd0 cdrom

Alternatively, just edit 'hardware.c' to reflect the name of your cdrom device and recompile.

WorkBone uses the numeric keypad as a control panel to allow you to move track to track, play, pause, stop, and resume playing of audio CDs. Make sure you have your NUM LOCK engaged when using WorkBone. A graphical template is displayed to guide you. Running times are also continuously updated and displayed. Note that total CD elapsed time includes times for non-audio data tracks in addition to playable tracks. Pushing the DEL key on the numeric pad will bring up a help screen.
                 +---- number pad -----+
                 |                     |
                 |    7     8     9    |
                 |                     |
                 |    4     5     6    |
                 |                     |
                 |    1     2     3    |
                 |                     |
                 |    0          del   |
                 |                     |
                 +---------------------+

the '9' key on the keypad is "play"
the '8' key on the keypad is "pause/resume"
the '7' key on the keypad is "stop"
the '6' key on the keypad is "next"
the '5' key on the keypad is "replay"
the  4  key on the keypad is "previous"
the '3' key on the keypad is "go forward 15 seconds"
the '2' key on the keypad is "hard abort" (music stops)
the '1' key on the keypad is "go backward 15 seconds"
the '0' key on the keypad is "soft exit" (music continues)
the '.' key on the keypad is "help"

HARDWARE
WorkBone works with my Mitsumi FX001D CD Rom drive, but your mileage with other drives may vary. In particular, some CD Rom drives such as NEC use proprietary non-standard audio routines. WorkBone itself uses only generic calls and functions as per WorkMan proper. The display code was written specifically for the Linux console. Portability was not a concern. :-) However, the `-a' option will put WorkBone into the 7-bit mode for use with any terminal.

COPYING
WorkBone is copyrighted free software provided WITHOUT warranty of any kind, NOT EVEN the implied warranty of merchantability or fitness for any particular purpose. Use at your own risk.

The routines in WorkBone may be used in compliance with the provisions of the FSF GNU General Public License version 2. This software should have come with a copy of the GNU General Public License. You may obtain a copy of this license by writing to:

Free Software Foundation, Inc.,
675 Mass Ave,
Cambridge, MA 02139, USA.

BUGS
WorkBone has been tested with Linux kernel 1.0.9 and late versions of kernel 1.1.x. WorkBone might not display the template properly on early versions of 1.1.x. The fix is to upgrade your kernel or use WorkBone's `-a' flag to enable ascii 7-bit characters.

Note that some NEC CD drives do not work properly because they use their own proprietary audio routines.

Please e-mail any bug reports, fixes or improvements that you might have. Unauthorized hacks and un-coordinated releases of WorkBone are not appreciated!

enjoy.

Thomas McWilliams

thomas.mcwilliams@f615.n109.z1.fidonet.org
Amateur Radio KI4N